Get torrent info
curl --request GET \
--url https://api.torrin.app/rest/1.0/torrents/info/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.torrin.app/rest/1.0/torrents/info/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.torrin.app/rest/1.0/torrents/info/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"filename": "<string>",
"hash": "<string>",
"bytes": 123,
"host": "<string>",
"progress": 123,
"added": "2023-11-07T05:31:56Z",
"links": [
"<string>"
],
"original_filename": "<string>",
"original_bytes": 123,
"files": [
{
"id": 123,
"path": "<string>",
"bytes": 123
}
]
}{
"error": "bad token",
"error_code": 8
}{
"error": "<string>",
"error_code": 123
}RealDebrid-compatible
Get torrent info
GET
/
rest
/
1.0
/
torrents
/
info
/
{id}
Get torrent info
Authorizations
Your instance API key as a bearer token: Authorization: Bearer <api_key>.
/rest/1.0 also accepts ?auth_token=; /v0/store also accepts
X-StremThru-Store-Authorization: Bearer <api_key>.
Path Parameters
The torrent id.
Response
Torrent detail with files and links.
Available options:
magnet_conversion, queued, downloading, uploading, downloaded, error Show child attributes
Show child attributes
Was this page helpful?
⌘I